mixin swiper(mod,offsetMod,gridMod,pagination,buttons,expand)
    .swiper.swiper_loading(class=mod)
        .swiper__mask
            .swiper__container(class=offsetMod)
                .swiper__wrapper(class=gridMod)
                    block
        if pagination
            .swiper__pagination(class=paginationMod)
        if buttons
            if buttons === "gallery"
                .swiper__button.swiper__button_prev
                    .btn.btn_m.btn_circle.btn_white.btn_controls
                        .btn__icon.icon.icon_24
                            svg
                                use(xlink:href="#icon_arrow-right_24")
                .swiper__button.swiper__button_next
                    .btn.btn_m.btn_circle.btn_white.btn_controls
                        .btn__icon.icon.icon_24
                            svg
                                use(xlink:href="#icon_arrow-right_24")
            else if buttons === "gallery_invert"
                .swiper__button.swiper__button_prev
                    .btn.btn_m.btn_circle.btn_black.btn_controls
                        .btn__icon.icon.icon_24
                            svg
                                use(xlink:href="#icon_arrow-right_24")
                .swiper__button.swiper__button_next
                    .btn.btn_m.btn_circle.btn_black.btn_controls
                        .btn__icon.icon.icon_24
                            svg
                                use(xlink:href="#icon_arrow-right_24")
            else
                .swiper__button.swiper__button_prev
                    .btn.btn_m.btn_circle.btn_white.btn_controls
                        .btn__icon.icon.icon_24
                            svg
                                use(xlink:href="#icon_arrow-right_24")
                .swiper__button.swiper__button_next
                    .btn.btn_m.btn_circle.btn_white.btn_controls
                        .btn__icon.icon.icon_24
                            svg
                                use(xlink:href="#icon_arrow-right_24")
        if expand
            .swiper__expand
                .btn.btn_circle.btn_m.btn_white
                    .btn__icon.btn__icon_close.icon.icon_m
                        svg
                            use(xlink:href="#icon_close_24")
                    .btn__icon.btn__icon_zoom.icon.icon_m
                        svg
                            use(xlink:href="#icon_search_24")

mixin swiper-slide(slideMod,src)
    .swiper__slide(class=slideMod)
        img.swiper__img(src=src)
